Flash Player en Ubuntu 7.10 Gutsy Gibbon 64 Bits.

flash_player.jpg

Después de llevarme una desagradable sorpresa al ver que Adobe no tenia soporte nativo para 64 bit para Flash, me dedique a buscar en internet la posible solución.
Desde algunos que no dan esperanza por el momento para el soporte para 64 bit, y otros que sugieren cambiar a un variante de Firefox e instalar un scripts que misteriosamente instala el plugin en cuestion.
Buscando por otros lugares, dí con la técnica que usaba el scripts, la cual no era nada de otro mundo, a continuación les cuento que hay que hacer.

Primero que nada hay que instalar unos programas que nos harán posible nuestra misión.

1.- instalamos el paquete nspluginwrapper

$sudo aptitude install nspluginwrapper

2.- Descargamos el plugin para i386 del Adobe Flash Player y extraemos el archivo.

$ tar xzvf install_flash_player_9_linux.tar.gz

3.- Instalar algunos paquetes necesarios.

$ sudo aptitude install ia32-libs lib32asound2 lib32ncurses5 ia32-libs-sdl ia32-libs-gtk gsfonts gsfonts-x11 linux32

Procedemos con la Instalación:

$ sudo mkdir /usr/lib/mozilla/plugins32
$ sudo cp install_flash_player_9_linux/libflashplayer.so /usr/lib/mozilla/plugins32
$ sudo nspluginwrapper -i /usr/lib/mozilla/plugins32/libflashplayer.so
Y finalmente hacemos que el plugin esté disponible para Firefox.

$ sudo ln -s /usr/lib/mozilla/plugins/npwrapper.so /usr/lib/mozilla-firefox/plugins/
$ sudo ln -s /usr/lib/mozilla/plugins/npwrapper.libflashplayer.so /usr/lib/mozilla-firefox/plugins/

Y eso seria todo, si surgiera una actualización del paquete nspluginwrapper habría que repetir la instalación pero solo la linea:

sudo nspluginwrapper -i /usr/lib/mozilla/plugins32/libflashplayer.so

Ya que puede perder la configuración, lo demás ya esta instalado.

Inspiración: Ubuntu Forums.

Anuncios

27 Responses to “Flash Player en Ubuntu 7.10 Gutsy Gibbon 64 Bits.”


  1. 1 dogday 30 diciembre 2007 en 16:49

    Muchas gracias. Grandisima aportacion a la gente que ya usamos los SO de 64 bits.

    Lo probe y funciona de maravilla.

  2. 2 pKador 30 diciembre 2007 en 17:43

    A mi Ubuntu Studio 64 no parece gustarle mucho la idea de instalar linux32 porque implica eliminar ubuntu-minimal. Lo curioso es el mensaje que me ha dado la consola:

    WARNING: Performing this action will probably cause your system to break!
    Do NOT continue unless you know EXACTLY what you are doing!
    To continue, type the phrase “I am aware that this is a very bad idea”:

    ¡Con esta advertencia casi que me espero a que los de Macromedia desarrollen su Flash para 64!

  3. 3 trauko 30 diciembre 2007 en 23:43

    pKador:

    Instala linux32

    Y luego cuando tengas ya instalado el plugins, desinstalas el linux32 e instalas todo lo que desinstalo,

    Queda claro ..???

    Saludos.

  4. 4 Ferrueda 6 enero 2008 en 10:31

    Excelente!!! lo instale y funciono a la primera.

    Saludos

  5. 5 Nickless 8 enero 2008 en 12:59

    Houston tenemos un problema…

    tengo el mismo problema que pKador… y eso que uso xubuntu 7.10 y no la version estudio.

    Los siguientes paquetes se ELIMINARÁN:
    ubuntu-minimal util-linux util-linux-locales
    Se instalarán los siguientes paquetes NUEVOS:
    gsfonts-x11 linux32
    AVISO: Se van a eliminar los siguientes paquetes esenciales.
    ¡NO debe hacerse a menos que sepa exactamente lo que está haciendo!
    util-linux
    0 actualizados, 2 se instalarán, 3 para eliminar y 0 no actualizados.
    Necesito descargar 16,2kB de archivos.
    Se liberarán 5235kB después de desempaquetar.
    Está a punto de hacer algo potencialmente dañino
    Para continuar escriba la frase «Sí, ¡haga lo que le digo!»
    ?]

  6. 6 Nickless 8 enero 2008 en 13:00

    creo que voy a correr un browser de 32… es un poco más seguro

  7. 7 trauko 9 enero 2008 en 01:52

    Instala linux32

    Y luego cuando tengas ya instalado el plugins, desinstalas el linux32 e instalas todo lo que desinstalo,

    Queda claro ..???

    Saludos.

  8. 8 Pepitux 24 enero 2008 en 13:00

    ¡¡¡Por fin he conseguido volver a usar flash en mi Ubuntu y sin tener que recurrir a Swiftfox ni al churretoso Gnash!!!

    Muchisimas gracias por esta entrada, no vea la guerra que me ha dado el puñetero Adobe Flash desde que tengo Gutsy 64.

    Por cierto a mi también me salía el mismo mensaje de aviso al instalar linux32, pero aún así lo instalé. Luego, una vez estaba todo correcto, volví a instalar los 3 paquetes que se habían desinstalado, y ahora puedo ver cualquier flash en Firefox sin problemas :-DD

  9. 9 kiarras 24 enero 2008 en 21:20

    Esto me ha salvado del suicidio o pc-cidio, muchas gracias

  10. 10 mario 27 enero 2008 en 18:56

    cuando instrodusco el comando
    sudo nspluginwrapper -i /usr/lib/mozilla/plugins32/libflashplayer.so

    me dice que no fue encontrado

  11. 11 trauko 27 enero 2008 en 23:16

    mario:

    Que distro estas usando ..??

    Esta instalado nspluginwrapper ???

    Revisa eso primero …

    Saludos.

  12. 12 Uat 1 febrero 2008 en 21:50

    A mi me ha funcionado a la perfección. Tengo kubuntu 7.10 x86_64.

    Únicamente me dió la siguiente advertencia durante la instalación de paquetes (añadí también ia32-libs-kde por si más adelante me servían para otra solución similar).

    Los siguientes paquetes están ROTOS:
    util-linux
    Se instalarán los siguiente paquetes NUEVOS:
    gsfonts-x11 ia32-libs-kde linux32
    0 paquetes actualizados, 3 nuevos instalados, 0 para eliminar y 0 sin actualizar.
    Necesito descargar 12,3MB de ficheros. Después de desempaquetar se usarán 36,2MB.
    No se satisfacen las dependencias de los siguientes paquetes:
    util-linux: Entra en conflicto: linux32 pero se va a instalar 1-3build1.
    Resolving dependencies…
    Las acciones siguientes resolverán estas dependencias

    Mantener los paquetes siguientes en la versión actual:
    linux32 [Sin instalar]

    La puntuación es -9879

    ¿Acepta esta solución? [Y/n/q/?]

    Yo acepté la solución y me funcionó.

  13. 13 brillantejcoh 11 febrero 2008 en 01:57

    Thankxxxxxxxxx, en primera y Ok!!

  14. 14 alberto 17 febrero 2008 en 21:21

    A mi me da el siguiente error en el 1r paso:

    No se pudo encontrar ningún paquete cuyo nombre o descripción coincida con “nspluginwrapper”

    utilizo ubuntu 7.10 x64

  15. 15 trauko 18 febrero 2008 en 04:43

    alberto:

    Que repositorios tienes activos ..??

    Saludos.

  16. 16 francisco 21 febrero 2008 en 19:15

    hola todos

    que repositorios necesito para nspluginwrapper ?????

    por fa ayuda!!!!!!!!!!!!!!!!

  17. 17 mario 6 marzo 2008 en 01:40

    perdonpor tardarme tanto pero ya lo resolvi jaja sorry lo que me pasa ahora y no se si les moleste que pregunte es:

    espero que me puedan ayudar he preguntado en varias paginas y no he conseguido respuesta el problema es quue tengo instalado ubuntu 7.10 en una hpdv6000 y tiene procesador amd jala todo muuy bien se los recomiendo el unico problema que nadie mas parece tener es: cuando el escritorio de gnome ya se puede utilizar y le inserto una memoria usb que se supone que es compatible (kingston 1gb) no la reconoce ni siquiera aparece un error pero si pongo la memoria antes de que inicie ubuntu (despues de que la barra naranja carga) si jala y bien.
    Posdata: si tengo activo la popcion de reconocer dispositivos en caliente.
    Espero me puedan ayudar se que es algo raro lo que quisiera evitar es tener que formatear la compu denuevo. Gracias por su tiempo.

  18. 18 Victor 13 marzo 2008 en 05:12

    oye mario me puedes decir como hiciste con lo del pluginwrapper, me sale el mensaje que no existe…. gracias

  19. 19 ALI 26 marzo 2008 en 02:30

    GRACIAS, me ha funcionado muy bien con la excepción de que el directorio no debe ser mozilla, sino mozilla-firefox para instalar el plugin. Tengo una DV6000, y estoy intentando las soluciones que tienes para la webcam y la conexión inalámbrica. Aún están por probarse.

    Espero que todo funcione. Y pues si tienes alguna solución para activar los micrófonos, y el midi, por favor házmelo saber. Un saludo desde México D.F.

  20. 20 Guillermo-Peru 1 abril 2008 en 09:20

    Muy bueno lo que expones para instalar el flash, sin embargo creo que no miraste bien en synaptic. Alli buscas flash, sale como non free, lo marcas, aplicas y comienza la instalacion. Synaptuic instala todas las librerias y el nspluginwrapper tambien sin pedir nada.

    Termina y tienes listo los youtube.

  21. 21 Guillermo-Peru 1 abril 2008 en 09:23

    Ah, la primera vez que veas un youtube, a pesar de que estas viendo el video, salga un mensaje indicando que falta un plugin por instalar. Dile que lo instale. Te dira que es el flash player de adobe. Continua y te dira que ya esta instalado y se cierra la ventana. Todo ok.

  22. 22 trauko 1 abril 2008 en 16:39

    Guillermo-Peru:

    Al momento de escribir este tutorial, las versiones que estaban en los repositorios tenían problemas, y no se instalaban bien(Diciembre del 2007), es por eso que se hacia manualmente, si ya funcionan los del repositorio mucho mejor.

    Saludos,

    Gracias.

  23. 23 eva 2 mayo 2008 en 06:11

    Gracias, he seguido las instrucciones como si fuera un recetario de cocina y todo ha funcionado a la primera.

  24. 24 Andres Camilo Guerrero 21 julio 2008 en 16:32

    muchisimas gracias por esta informacion me fue muy util ademas de que la instalacion no es paranada complicada !!muchas gracias!!


  1. 1 meneame.net Trackback en 30 diciembre 2007 en 16:54
  2. 2 Flash en Debian 64 bits. « Pate de gato Trackback en 1 febrero 2008 en 19:53
  3. 3 Instalar Flash Player en Ubuntu « Velsa Group S.A. Trackback en 31 agosto 2008 en 14:29

Responder

Introduce tus datos o haz clic en un icono para iniciar sesión:

Logo de WordPress.com

Estás comentando usando tu cuenta de WordPress.com. Cerrar sesión / Cambiar )

Imagen de Twitter

Estás comentando usando tu cuenta de Twitter. Cerrar sesión / Cambiar )

Foto de Facebook

Estás comentando usando tu cuenta de Facebook. Cerrar sesión / Cambiar )

Google+ photo

Estás comentando usando tu cuenta de Google+. Cerrar sesión / Cambiar )

Conectando a %s




Map

Mapa de visitas.

Geo Visitors Map

Actualmente:

site statistics

Miembro de:

The Ubuntu Counter Project - user number # 5264

Blog Stats

  • 559,030 hits

A %d blogueros les gusta esto: